How can we help you?

Why do my website visitors receive a browser error?

We’ll be updating to TLS 1.2 across all Digistorm Websites as of Monday 10 May. This means that TLS versions 1.0 and 1.1 will no longer be supported as they pose security vulnerabilities.

 

What is TLS?

TLS (Transport Layer Security) is a computer network communications encryption/security protocol, most commonly used as the security layer in HTTPS as well as Email, VOIP services, and Instant Messaging.

 

How does this impact me?

After Monday 10 May 2021, any visitors to your school website who are using an unsupported browser will receive a “This page cannot be displayed” error,advising them to use an up-to-date browser.

 

Minimum browser versions that support TLS 1.2

Browser

TLS 1.2 enabled by default

Internet Explorer

Version 11

Google Chrome

Version 29

Mozilla Firefox

Version 27

Apple Safari

Version 7

Microsoft Edge

All versions

 

What should I do if a website visitor contacts my school?

If a website visitor contacts your school because they are unable to access your school website due to this error message, please advise them to switch to an updated version of their Internet browser. This should resolve the issue, and restore complete access to your website.

Have more questions? Submit a request

Comments

Powered by Zendesk